> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Add new screening(s)

POST https://api.cable.tech/v2/screening
Content-Type: application/json

Reference: https://docs.cable.tech/api-documentation/api-reference/screening/add-screening

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of NewScreeningRequestItems.

- `list of NewScreeningRequestItems`

## Response

### 201

Screening added successfully

- `success` (boolean, required) — Indicates if the write operation was successful.
- `write_count` (integer, required) — The number of records written to the database.
- `message` (string, required) — Provides additional information about the operation result.
- `organization_id` (string, required) — The organization ID for which the operation was performed.

## Errors

### 400 Bad Request Error

Invalid Screening data

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 401 Unauthorized Error

Unauthorized request

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 409 Conflict Error

Screening already exists

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 429 Too Many Requests Error

Rate limit exceeded

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 500 Internal Server Error

Server error

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

## Types

### NewScreeningRequestItems

- `screening_id` (string, required) — Unique identifier for the screening. This is the primary key for a screening and should be unique across screenings.
- `type` (enum, required) — The type of screening check performed (e.g., SANCTION, PEP, ADVERSE_MEDIA, etc.).
  - Allowed values: `ADVERSE_MEDIA`, `AML`, `PEP`, `SANCTION`
- `outcome` (enum, required) — The outcome of the screening check (e.g., POSITIVE, NEGATIVE, TRUE_POSITIVE, etc.). The value "SCREENED" should only be used when the outcome is not available but there is the confirmation that the screening has been done.
  - Allowed values: `POSITIVE`, `NEGATIVE`, `FALSE_NEGATIVE`, `FALSE_POSITIVE`, `TRUE_NEGATIVE`, `TRUE_POSITIVE`, `SCREENED`
- `provider` (string, required) — The provider that performed the screening check.
- `lists` (list of string, required) — The list(s) that the transaction was screened against. E.g. OFAC, ComplyAdvantage, Watchlists...
- `timestamp` (datetime, required) — When the screening was performed in your system, in ISO 8601 format.
- `outcome_details` (string, optional) — Further details on the reason of the screening outcome. For a transaction screening, it could be due to many reasons, so it could be relevant to include further details.
- `related_tx_id` (string, optional) — Unique identifier for the related transaction in case of a transaction screening. Only one of `related_tx_id`, `related_person_id` or `related_company_id` should be provided.
- `related_person_id` (string, optional) — Unique identifier for the related person in case of a person and/or transaction screening. Only one of `related_tx_id`, `related_person_id` or `related_company_id` should be provided.
- `related_company_id` (string, optional) — Unique identifier for the related company in case of a company screening. Only one of `related_tx_id`, `related_person_id` or `related_company_id` should be provided.

### GeneralErrorErrorsItems

- `field` (string, optional)
- `message` (string, optional)

## Examples

**Request**

```json
[
  {
    "screening_id": "scrn-20240615-001",
    "outcome": "POSITIVE",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]
```

**Response**

```json
{
  "success": true,
  "write_count": 1,
  "message": "Screening record added successfully.",
  "organization_id": "org-7890"
}
```

**SDK Code**

```python
import requests

url = "https://api.cable.tech/v2/screening"

payload = [
    {
        "screening_id": "scrn-20240615-001",
        "outcome": "POSITIVE",
        "timestamp": "2024-01-15T09:30:00Z"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cable.tech/v2/screening';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"screening_id":"scrn-20240615-001","outcome":"POSITIVE","timestamp":"2024-01-15T09:30:00Z"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cable.tech/v2/screening"

	payload := strings.NewReader("[\n  {\n    \"screening_id\": \"scrn-20240615-001\",\n    \"outcome\": \"POSITIVE\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cable.tech/v2/screening")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"screening_id\": \"scrn-20240615-001\",\n    \"outcome\": \"POSITIVE\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.cable.tech/v2/screening")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"screening_id\": \"scrn-20240615-001\",\n    \"outcome\": \"POSITIVE\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.cable.tech/v2/screening', [
  'body' => '[
  {
    "screening_id": "scrn-20240615-001",
    "outcome": "POSITIVE",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cable.tech/v2/screening");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"screening_id\": \"scrn-20240615-001\",\n    \"outcome\": \"POSITIVE\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "screening_id": "scrn-20240615-001",
    "outcome": "POSITIVE",
    "timestamp": "2024-01-15T09:30:00Z"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v2/screening")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```